php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #16645 The php-4.2 sapi module for httpd-2.0.35 doesn't works
Submitted: 2002-04-16 18:11 UTC Modified: 2002-04-18 22:14 UTC
Votes:1
Avg. Score:5.0 ± 0.0
Reproduced:0 of 0 (0.0%)
From: alietss at yahoo dot com Assigned:
Status: Closed Package: Apache2 related
PHP Version: 4.2.0 OS: Windows 2000 Advanced Server
Private report: No CVE-ID: None
 [2002-04-16 18:11 UTC] alietss at yahoo dot com
Hi all:
I'm testing the new php-4.2RC-4 with httpd-2.0.35(win32) stable version wich I downloaded from apache site with the msi installer for windows. I instaled apache and works great but when I install php apache doesn't start any more, this is what I did:
Downloaded the php-4.2RC-4 from php site.
Made a c:\php folder and unzip all te contents there
I did all the steps of the instalation as I always do
Copied dlls etc in its right places
Copied php.ini in winnt etc
Edit the httpd.conf and added
LoadModule php4_module c:/php/sapi/php4apache.dll
AddModule mod_php4.c
AddType application/x-httpd-php .php
But Apache don't start
and if I install the cgi version yes, it works
                                     Regards Aliet

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2002-04-17 06:14 UTC] sander@php.net
You need apache2filter.dll (in the directory experimental in the PHP distro) for Apache 2. php4apache.dll is for Apache 1.x only.
 [2002-04-17 08:37 UTC] alietss at yahoo dot com
Hi Sander sorry but if I send this was because I already tested apache2filter.dll and apache doesn't start any way and I'm completly sure and doing all ok.
                                             Bye Aliet
 [2002-04-17 08:53 UTC] sander@php.net
apache2filter.dll is the only file that should work. php4apache.dll won't ever work because it's designed for 1.x.

IIRC, you don't need that "AddModule mod_php4.c" -line in Apache 2. Does it work if you remove that line?
 [2002-04-18 22:14 UTC] alietss at yahoo dot com
Hi Sander and thank's yes now it work's. Apache start ok,
So there just to add to the install.txt file of php that
with Apache2.0 you must put.
LoadModule php4_module c:/php/experimental/apache2filter.dll
AddType application/x-httpd-php .php
                                          Regards Aliet
 [2002-04-29 18:03 UTC] therealshortie at gmx dot de
Hello, I have exactly the same Problem as alietss, I read the answers and did so. But My Apache still don?t start the service. Without >LoadModule php4_module c:/php/experimental/apache2filter.dll< it works fine.
Is there anything else what I can try ?

Regard, shortie
 [2002-09-16 13:04 UTC] vstockel at hotmail dot com
PHP4.2.3 & APACHE 2.0.40 on Windows 2000 Works Now after making following changes

LoadModule php4_module c:/php/sapi/php4apache2.dll
AddType application/x-httpd-php .php
 
PHP Copyright © 2001-2021 The PHP Group
All rights reserved.
Last updated: Thu Sep 16 23:03:39 2021 UTC